# C/C++ Icons

The table below lists the icons displayed in the C/C++ perspective.

Icon | Description
--- | ---
| C or C++ file
| Class
| Code template
| Macro Definition
| Enum
| Enumerator
| Variable
| Field private
| Field protected
| Field public
| Include
| Makefile
| Method private
| Method protected
| Method public
| Namespace
| Struct
| Typedef
| Union
| Function

Project file views
Outline view

Displaying C/C++ file components in the C/C++ Projects view

Views